Spaces method and path for this operation:
Refer to Spaces for more information.
Returns a paginated summary list of Discover sessions. Use GET /api/discover_sessions/{id} for the full session state.
Query parameters
-
The page of results to return.
Minimum value is
1. Default value is1. -
The number of results to return per page.
Minimum value is
1, maximum value is1000. Default value is20. -
Full-text search (
simple_query_string) overtitleanddescription. All terms must match.Maximum length is
1000. -
A tag name to include. Accepts a single tag name or multiple tag names. When multiple are specified, Discover sessions matching any of the tag names are included. If the same name is shared by multiple tags, sessions matching any of those tags are included.
Not more than
100elements. -
A tag name to exclude. Accepts a single tag name or multiple tag names. When multiple are specified, Discover sessions matching any of the tag names are excluded. If the same name is shared by multiple tags, sessions matching any of those tags are excluded.
Not more than
100elements.
curl -X GET "${KIBANA_URL}/api/discover_sessions?query=requests&per_page=20" \
-H "Authorization: ApiKey ${API_KEY}" \
-H "elastic-api-version: 2023-10-31"
GET kbn:/api/discover_sessions?query=requests&per_page=20
{
"data": [
{
"data": {
"description": "",
"tags": [],
"title": "Requests by extension"
},
"id": "web-log-requests",
"meta": {
"created_at": "2026-10-15T09:00:00.000Z",
"created_by": "u_example",
"managed": false,
"updated_at": "2026-10-15T09:00:00.000Z",
"updated_by": "u_example",
"version": "WzEsMV0="
}
}
],
"meta": {
"page": 1,
"per_page": 20,
"total": 1
}
}